# Generated from makenew-ruby_gem-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name makenew-ruby_gem

Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: Ruby gem skeleton from makenew
License: MIT
URL: https://github.com/makenew/ruby-gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.1
# BuildRequires: rubygem(bump) >= 0.5
# BuildRequires: rubygem(bump) < 1
# BuildRequires: rubygem(guard) >= 2.11
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard-yard) >= 2.1
# BuildRequires: rubygem(guard-yard) < 3
# BuildRequires: rubygem(guard-rubocop) >= 1.2
# BuildRequires: rubygem(guard-rubocop) < 2
# BuildRequires: rubygem(guard-rspec) >= 4.5
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(rubocop) >= 0.28
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) >= 0.9
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(codecov) >= 0.1
# BuildRequires: rubygem(codecov) < 1
# BuildRequires: rubygem(fuubar) >= 2.0
# BuildRequires: rubygem(fuubar) < 3
# BuildRequires: rubygem(yard) >= 0.8.7
# BuildRequires: rubygem(yard) < 0.9
# BuildRequires: rubygem(yard-redcarpet-ext) >= 0.0.3
# BuildRequires: rubygem(yard-redcarpet-ext) < 0.1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(github-markup) >= 1.3
# BuildRequires: rubygem(github-markup) < 2
BuildArch: noarch

%description
Ruby gem skeleton.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/makenew.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/makenew-ruby_gem.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 2.0.1-1
- Initial package
